This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 25439 - Gnome-core needs to require specific version of gnome-libs
Gnome-core needs to require specific version of gnome-libs
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gnome-core (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Mason
David Lawrence
Florence RC-1
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-31 19:00 EST by Göran Uddeborg
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-01 16:12:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Göran Uddeborg 2001-01-31 19:00:29 EST
The package gnome-core 1.2.1 should require a gnome-libs version high
enough.  I haven't researched the precise version, but 1.2.8 is high
enough, while 1.0.54 was too low.  (I would guess the critical number is
the step to 1.2, but that's just a guess.)  I upgraded only the gnome-core
package on a system with otherwise old versions of gnome.  The autmatic
library dependencies were fulfilled; rpm had no objections.  But when
trying to run gnome-session, an error message resulted:

/usr/bin/gnome-session: error while loading shared libraries:
/usr/bin/gnome-session: undefined symbol:
gnome_window_icon_set_default_from_file

and the session then aborted.
Comment 1 Glen Foster 2001-02-01 14:59:24 EST
This defect is considered MUST-FIX for Florence Release-Candidate #1
Comment 2 Elliot Lee 2001-02-01 16:12:10 EST
From what I can gather, gnome-libs 1.0.61 was the first one to have
gnome-window-icon.c in it. I will gnome-libs 1.2.0 as a requirement for our
gnome-core package.

Note You need to log in before you can comment on or make changes to this bug.